code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
if [ "$EUID" -ne 0 ]
then echo "Please run as root"
exit
fi
#Installing compiling projects
echo "Compiling volodb and depdendent projects"
if ! make --silent -C volodbserver; then
echo "VoloDB server compilation failed"
exit 1
fi
if ! make --silent -C volodbclientapp; then
echo "VoloDB client appl... | dc-sics/VoloDB | volodb-install.sh | Shell | gpl-2.0 | 2,881 |
#!/bin/bash
# restore save (hardcoded), archive old logs/ttyrecs, compile and run in REPL with
# hardcoded config.
# might want to run ttywatch.sh in another console to watch the bot play.
ARCH_DIR=~/tmp
CONFIG="config/shell-config.edn"
NH_VAR="/nh343/var"
#CONFIG="config/shell-wizmode-chobot-config.edn"
#SAVE="save... | selrahal/BotHack | scripts/run.sh | Shell | gpl-2.0 | 1,047 |
#!/bin/bash
#
# Run select tests by setting ONLY, or as arguments to the script.
# Skip specific tests by setting EXCEPT.
#
set -e
ONLY=${ONLY:-"$*"}
ALWAYS_EXCEPT="$SANITY_SCRUB_EXCEPT"
[ "$SLOW" = "no" ] && EXCEPT_SLOW=""
# UPDATE THE COMMENT ABOVE WITH BUG NUMBERS WHEN CHANGING ALWAYS_EXCEPT!
LUSTRE=${LUSTRE:-$(c... | ORNL-TechInt/lustre | lustre/tests/sanity-scrub.sh | Shell | gpl-2.0 | 30,366 |
#! /bin/sh -e
# tup - A file-based build system
#
# Copyright (C) 2009-2017 Mike Shal <marfey@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distribu... | fasterthanlime/tup-fuseless | test/t3003-rm-var.sh | Shell | gpl-2.0 | 1,070 |
#!/bin/bash
# This is a login-privileged-every script for Outset that configures Santa to block (after login) certain apps, depending
# on what user they are. Since all Apple software is whitelisted by default by certificate, in order to block these apps,
# you have to block based on binary hash instead. Since Apple s... | aysiu/Mac-Scripts-and-Profiles | OutsetPrivilegedSantaRules.sh | Shell | gpl-2.0 | 1,455 |
# actually only for debugging the doc build locally
# the production documentation is build automatically at ReadTheDocs.org at each commit
docker-compose run -w /app/docs/sphinx --rm django sphinx-build -v . _build
| gitsimon/tq_website | scripts/build_doc.sh | Shell | gpl-2.0 | 216 |
#!/bin/sh
# Ensure that hard-linked files are counted (and listed) only once.
# Likewise for excluded directories.
# Ensure that hard links _are_ listed twice when using --count-links.
# Copyright (C) 2003-2012 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it ... | homer6/gnu_coreutils | tests/du/hard-link.sh | Shell | gpl-3.0 | 1,702 |
#!/bin/bash
# Script Used by generate_and_run_more_tests.sh
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
set -e
CPPCHECK=$(pwd)/cppcheck
if test -f ./bin/cppcheck; then
CPPCHECK=$(pwd)/bin/cppcheck
fi
python $DIR/extracttests.py --code=$(pwd)/test1 $1
cd test1
$CPPCHECK -q --template=cppcheck1 . 2... | danmar/cppcheck | tools/run_more_tests.sh | Shell | gpl-3.0 | 3,447 |
#!/bin/bash
database_name='edusysdb';
database_username='edusysuser';
database_password='edusyspass';
function exec_as_postgres() {
local temp_file='temp.sql.file'
echo $1 > $temp_file
psql -U postgres < $temp_file
rm -rf $temp_file
}
function exec_as_user() {
local host=$1
local database=$2
local user... | ckpp/edusys | oldest-src/postgresql.db.setup.sh | Shell | gpl-3.0 | 1,536 |
#!/bin/bash
set -e
pegasus_lite_version_major="4"
pegasus_lite_version_minor="7"
pegasus_lite_version_patch="0"
pegasus_lite_enforce_strict_wp_check="true"
pegasus_lite_version_allow_wp_auto_download="true"
. pegasus-lite-common.sh
pegasus_lite_init
# cleanup in case of failures
trap pegasus_lite_signal_int INT
trap... | elainenaomi/sciwonc-dataflow-examples | dissertation2017/Experiment 1B/logs/w-09-B/20161213T121616+0000/00/00/mediancpu_0_ID0000004.sh | Shell | gpl-3.0 | 1,237 |
#!/bin/bash -eux
# this script is intended to be run within container
#
# distro-specifics
source "${IPA_TESTS_SCRIPTS}/variables.sh"
rm -rf "$IPA_TESTS_LOGSDIR"
mkdir "$IPA_TESTS_LOGSDIR"
pushd "$IPA_TESTS_LOGSDIR"
tests_result=1
{ IPATEST_YAML_CONFIG=~/.ipa/ipa-test-config.yaml \
ipa-run-tests \
--logging-... | encukou/freeipa | ipatests/azure/scripts/azure-run-integration-tests.sh | Shell | gpl-3.0 | 1,114 |
#!/bin/bash
KAFFE_DIR=${KAFFE_DIR:-/usr/local/kaffe}
if [[ -n "$SUN_DIR" && -e $SUN_DIR ]]; then
true # everything ok
elif [[ -e /usr/lib/jvm/java-6-sun ]]; then
SUN_DIR=/usr/lib/jvm/java-6-sun
elif [[ -e /usr/lib/jvm/jdk1.6.0 ]]; then
SUN_DIR=/usr/lib/jvm/jdk1.6.0
elif [[ -e /opt/sun-jdk-1.6.0.10 ]]; then
SUN... | hammacher/javaslicer | evaluation/eval.sh | Shell | gpl-3.0 | 4,359 |
#!/bin/bash
set -e
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
$SCRIPT_DIR/update-syncthing.bash "$2"
$SCRIPT_DIR/check-version.bash "$1"
$SCRIPT_DIR/pull-translations.bash
$SCRIPT_DIR/bump-version.bash "$1"
echo "
Update ready.
"
| syncthing/syncthing-android | prepare-release.bash | Shell | mpl-2.0 | 253 |
if [ -z "$1" ]; then
echo "$0 -n|-v"
exit 1
fi
for tmpl in template0 template1 postgres; do
echo "Recreating $tmpl"
allowconn=true
echo "psql -c \"update pg_database set datallowconn=$allowconn where datname='$tmpl';\""
[ "$1" == "-v" ] && psql -c "update pg_database set datallowconn=$allowconn ... | antoniov/tools | clodoo/junk/clean_pg_template.sh | Shell | agpl-3.0 | 1,845 |
#!/bin/bash
export LANG="zh_CN.UTF-8"
p=$(pwd)
pw="/home/tmpf"
log="/var/log/reboot.log"
if [ ! -e $pw ];then
[ -e $log ] && rm -f $log
echo "1" >/tmp/num
echo $p >$pw
else
p=$(cat $pw)
fi
base=$(basename $0)
file="$p/$base"
tmpfile="$p/tmp"
t=`date +%s`
if ! grep "$base" /etc/rc.local >/dev/null;then
sed -i '... | Samson-W/helper_4_hack | system_hack/auto_secript/reboot_new-txn.sh | Shell | agpl-3.0 | 914 |
#!/bin/sh
export PYTHONPATH=${PYTHONPATH:+$PYTHONPATH:}../../../python
export CONTEXT_PROVIDERS=.
export CONTEXT_CORE_DECLARATIONS=../../../spec/core.context
export CONTEXT_CORE_TYPES=../../../spec/core.types
export LD_LIBRARY_PATH=../../src/.libs:../../../libcontextprovider/src/.libs:$LD_LIBRARY_PATH
export PATH=../.... | rburchell/ck | libcontextsubscriber/customer-tests/env.sh | Shell | lgpl-2.1 | 402 |
#!/bin/bash
if [ ! -f "$1" ]; then
echo "Please provide the filename of an existing zip build as the first argument"
exit
fi
FILENAME=`basename $1`
DIRNAME=`echo "${FILENAME}" | cut -d "_" -f 1`
VERSION=`echo "${DIRNAME}" | cut -d "-" -f 2`
BUILDDATE=`date +%Y%m%d`
BUILDTAG_RAW=`echo "${FILENAME}" | cut -d "." -f 1... | agrajaghh/duplicati | Installer/fedora/docker-build-binary.sh | Shell | lgpl-2.1 | 2,482 |
#!/bin/bash
JDK_PATH=/usr/lib/jvm/jdk1.7.0_09/bin/
CURRENT_PWD=`pwd`
MANIFEST=$CURRENT_PWD/manifestaddition.txt
EXT_DIR=$CURRENT_PWD/extlibs
EXT_SRC_DIR=$EXT_DIR/src/com/twister/
EXTLIBS=$CURRENT_PWD/extlibs/Twister.jar:\
$CURRENT_PWD/extlibs/jcalendar-1.4.jar:\
$CURRENT_PWD/extlibs/gson-2.2.1.jar:\
$CURRENT_PWD/extli... | ctgriffiths/twister | client/userinterface/java/build.sh | Shell | apache-2.0 | 5,369 |
#!/bin/bash
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements. See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you... | gzsombor/ranger | security-admin/db/mysql/init/backup_mysql_db.sh | Shell | apache-2.0 | 1,163 |
#!/usr/bin/env bash
################################################################################
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. T... | zohar-mizrahi/flink | tools/deploy_to_maven.sh | Shell | apache-2.0 | 3,552 |
#! /usr/bin/env bash
# Copyright 2018 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or ... | GoogleCloudPlatform/gke-rbac-demo | scripts/create.sh | Shell | apache-2.0 | 1,501 |
#!/usr/bin/env bash
# Cloud Foundry Java Buildpack
# Copyright (c) 2013-2017 the original author or authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/lic... | pivotal-cf/weblogic-buildpack | resources/zulu_jre/bin/killjava.sh | Shell | apache-2.0 | 1,133 |
#!/bin/bash
set -e
# Updates the version for all droolsjbpm repositories
initializeScriptDir() {
# Go to the script directory
cd `dirname $0`
# If the file itself is a symbolic link (ignoring parent directory links), then follow that link recursively
# Note that scriptDir=`pwd -P` does not do that and... | livthomas/droolsjbpm-build-bootstrap | script/release/update-version-all.sh | Shell | apache-2.0 | 5,880 |
#!/bin/bash
# Copyright 2016 The Kubernetes Authors All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless require... | dims/minikube | hack/jenkins/release_update_installers.sh | Shell | apache-2.0 | 3,633 |
#!/bin/sh
trap "rm -f $1.tmp $2.tmp" 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15
if [ $# -ne 6 ]; then
echo usage: $0 1. 2. 3. 4. 5. 6.
exit 1
fi
sort -u $1 > $1.tmp
sort -u $2 > $2.tmp
cmp -s $1.tmp $2.tmp
if [ $? -eq 0 ]; then
## Output is identical.
touch $6
exit 0
fi
# print only lines joinable on field 1 (offse... | basho/machi | prototype/demo-day-hack/REPAIR-SORT-JOIN.sh | Shell | apache-2.0 | 560 |
#!/usr/bin/env bash
VERSION=${VERSION-develop}
SELION_VERSION=${SELION_VERSION}
function build_test_container {
echo Building test container image
docker build -t selion/smoketest:$VERSION ./test
}
function startup {
echo 'Starting Selion Hub Container ...'
HUB=$(docker run -d selion/hub:$VERSION)
HUB_NAME=... | paypal/docker-selion | test.sh | Shell | apache-2.0 | 1,929 |
#!/bin/sh
echo upwn IPSW Download, Extraction, and Decryption Utility for the iPhone,
echo *Change Log*
echo Version 1.0 - initial Release
echo Version 1.1 - Major Update To Provide Compatibility and support for upwn, Added ChangeLog, fixes several bugs that prevent binary from working properly,
echo Version 1.2 - Upd... | rhcp011235/upwn | SRC/usr/bin/upwn_log.sh | Shell | apache-2.0 | 1,294 |
#!/bin/bash
#####################################################
# cmpbench - script for comparing benchmark results
#
# args:
# - $1: path to package that will be benchmarked,
# optional, defaults to: plugins/kvscheduler
#####################################################
set -euo pipefail
SCRIPT_DIR="$(dirname... | ondrej-fabry/vpp-agent | scripts/cmpbench.sh | Shell | apache-2.0 | 2,297 |
#!/bin/bash
# Copyright 2015 gRPC authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed t... | thinkerou/grpc | tools/run_tests/performance/build_performance.sh | Shell | apache-2.0 | 2,037 |
#!/bin/bash
# Copyright (c) 2012 The Chromium OS Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
# This grows a signed recovery image's stateful partition to
# --statefulfs_sectors, and adds the decryption flag file. It is designed
# ... | mgireesh05/dev-util | host/tests/mod_recovery_for_decryption.sh | Shell | bsd-3-clause | 3,181 |
#!/bin/bash
cp ` find . -name "*.bit" ` .
mv config_1.bit vector.bit
mv config_3.bit crc.bit
mv config_2.bit sort.bit
mv config_1_hw_acc_1_vector_partial.bit vector0.bit
mv config_1_hw_acc_2_vector_partial.bit vector1.bit
mv config_1_hw_acc_3_vector_partial.bit vector2.bit
mv config_1_hw_acc_4_vector_partial.bit vecto... | masson2013/heterogeneous_hthreads | src/platforms/xilinx/pr_6smp/design/p12/rename.sh | Shell | bsd-3-clause | 1,001 |
#!/bin/sh
coverage run --branch --include="*feincms*" ./manage.py test feincms
| pjdelport/feincms | tests/cov.sh | Shell | bsd-3-clause | 79 |
#!/usr/bin/env bash
if [ -z $SYMFONY_VERSION ] ; then
SYMFONY_VERSION="symfony-1.4.20"
fi
PROJECT_NAME=mockproject
if [ -d "$PROJECT_NAME" ] ; then
rm -rf "$PROJECT_NAME"
fi
git submodule update --init
mkdir "$PROJECT_NAME"
cd "$PROJECT_NAME"
if [ ! -f "$SYMFONY_VERSION.tgz" ] ; then
wget "http://www.... | northway/sfPropelORMPlugin | prepare_tests.sh | Shell | mit | 617 |
#! /bin/sh
# This file has been automatically generated. DO NOT EDIT BY HAND!
. test-lib.sh
am_tap_implementation=perl
# In the spirit of VPATH, we prefer a test in the build tree
# over one in the source tree.
for dir in . "$am_top_srcdir"; do
if test -f "$dir/t/tap-numbers-leading-zero.sh"; then
echo "$0: wil... | DDTChen/CookieVLC | vlc/extras/tools/automake/t/tap-numbers-leading-zero-w.sh | Shell | gpl-2.0 | 507 |
#!/bin/sh
echo "umount /mtd_rwarea"
umount /mtd_rwarea
echo "umount /mtd_contents"
umount /mtd_contents
echo "umount /mtd_rwcommon"
umount /mtd_rwcommon
echo "umount /mtd_emanaul"
umount /mtd_emanual
echo "umount /mtd_swu"
umount /mtd_swu
echo "umount /mtd_drmregion_a"
umount /mtd_drmregion_a
echo "umount /mtd_d... | card2000/buildroot-sam | package/busybox/files/foxp/etc/Scripts/umount_partition.sh | Shell | gpl-2.0 | 357 |
#!/bin/bash
#/ Usage: snipeit.sh [-vh]
#/
#/ Install Snipe-IT open source asset management.
#/
#/ OPTIONS:
#/ -v | --verbose Enable verbose output.
#/ -h | --help Show this message.
######################################################
# Snipe-It Install Script #
# Scr... | dkmansion/snipe-it | snipeit.sh | Shell | agpl-3.0 | 23,850 |
#!/bin/bash
# Copyright 2015 The Kubernetes Authors All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless require... | JanetKuo/kubernetes | hack/jenkins/e2e-runner.sh | Shell | apache-2.0 | 16,828 |
#!/bin/bash
cd "`dirname "$0"`"/../
#if ! [ -f epic.rb ]; then
# echo "Run this script from the top level directory." >&2
# exit 1
#fi
export JRUBY_OPTS=$(
echo -n $(
for i in $JRUBY_OPTS; do
echo $i;
done |
grep -v -- --1.9
)
)
rdoc --debug \
--main epic.rb \
--charset=UTF-8 \
--encoding... | cookie33/EPIC-API-v2 | scripts/rdoc.sh | Shell | apache-2.0 | 833 |
# if else test
# --output:start
# test1 test2 test3
# [1, 3, 8, 4, 5, 2]
# [1, 2, 3, 4, 5, 8]
# [8, 5, 4, 3, 2, 1]
# [1, 2, 3, 4, 5, 8]
# [16, 10, 8, 6, 4, 2]
# [8, 5, 4, 3, 2, 1]
# [8, 4, 2]
# 2
# false
# 4
# [8, 2]
# [8, 5, 4, 2, 1]
# []
# [8, 5, 4, 2, 1, 70, 78, 84]
# [8, 5, 45, 2, 15, 70, 78, 84]
# [8, 5, 2, 70, 78... | alexst07/seti | test/interpreter/lang_basic/array.sh | Shell | apache-2.0 | 1,381 |
#!/bin/bash
set -e
# Kill background tasks if the script exits early
# single quotes are intentional
# see http://stackoverflow.com/questions/360201/how-do-i-kill-background-processes-jobs-when-my-shell-script-exits
# and https://wiki.jenkins-ci.org/display/JENKINS/Aborting+a+build
trap 'JOBS=$(jobs -p); if [ -n "${J... | udaysrinath/spark-js-sdk | tooling/test.sh | Shell | apache-2.0 | 5,432 |
#!/usr/bin/env bash
# Copyright 2014 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applica... | krmayankk/kubernetes | hack/local-up-cluster.sh | Shell | apache-2.0 | 47,879 |
#!/bin/bash
set -o nounset
set -o errexit
cd "$(dirname "$0")"
source $INSTALLER_ROOT/utils/common_utils.sh
cd $PWD/../data/bin
mv nxt-tools tmp
mv tmp/linux/nxt-tools -t .
rm -rf tmp
| iakov/qreal | installer/packages/trik-studio/ru.qreal.root.nxt.tools/meta/prebuild-linux-gnu.sh | Shell | apache-2.0 | 185 |
wget http://sourceforge.net/projects/libpng/files/libpng15/older-releases/1.5.12/lpng1512.zip
unzip lpng1512.zip && mv lpng1512 ../../
cp ../../lpng1512/scripts/pnglibconf.h.prebuilt ../../lpng1512/pnglibconf.h
| PointCloudLibrary/mobile | apps/android/OpenNIRecorder/png_binary/get_png.sh | Shell | bsd-3-clause | 214 |
#!/bin/bash
set -e
sudo add-apt-repository ppa:ubuntu-toolchain-r/test -y
sudo apt-get -y update
sudo apt-get install gcc-4.9 -y
sudo apt-get upgrade libstdc++6 -y
| Mgonand/dockerimages | nextjsconverter/scripts/lib/install_libs.sh | Shell | mit | 164 |
#!/bin/bash
FN="xlaevis.db_3.2.3.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.10/data/annotation/src/contrib/xlaevis.db_3.2.3.tar.gz"
"https://bioarchive.galaxyproject.org/xlaevis.db_3.2.3.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-xlaevis.db/bioconductor-xlaevis.db_3.2.3_src_all.tar.gz... | Luobiny/bioconda-recipes | recipes/bioconductor-xlaevis.db/post-link.sh | Shell | mit | 1,412 |
#!/bin/sh
# Copyright (C) 1999-2006 ImageMagick Studio LLC
#
# This program is covered by multiple licenses, which are described in
# LICENSE. You should have received a copy of LICENSE with this
# package; otherwise see http://www.imagemagick.org/script/license.php.
. ${srcdir}/tests/common.shi
${RUNENV} ${MEMCHECK} ... | ipwndev/DSLinux-Mirror | user/imagemagick/src/tests/rwfile_EPDF_truecolor10.sh | Shell | gpl-2.0 | 366 |
#! /bin/sh -e
# tup - A file-based build system
#
# Copyright (C) 2011-2015 Mike Shal <marfey@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distribu... | p2rkw/tup | test/t2077-recreate-gitignore.sh | Shell | gpl-2.0 | 1,061 |
#!/bin/sh
# Copyright (C) 2008-2013 Red Hat, Inc. All rights reserved.
#
# This copyrighted material is made available to anyone wishing to use,
# modify, copy, or redistribute it subject to the terms and conditions
# of the GNU General Public License v.2.
test_description='Test duplicate PVs'
. lib/inittest
aux pre... | suihkulokki/lvm2 | test/shell/process-each-duplicate-pvs.sh | Shell | gpl-2.0 | 4,300 |
#!/usr/bin/env bash
#
# Copyright (c) 2017 Jeromy Johnson
# MIT Licensed; see the LICENSE file in this repository.
#
test_description="Test out the filestore nocopy functionality"
. lib/test-lib.sh
test_init_filestore() {
test_expect_success "clean up old node" '
rm -rf "$IPFS_PATH" mountdir ipfs ipns
'
t... | disorganizer/brig | vendor/github.com/ipfs/go-ipfs/test/sharness/t0271-filestore-utils.sh | Shell | agpl-3.0 | 5,363 |
#!/bin/sh
#BHEADER**********************************************************************
# Copyright (c) 2008, Lawrence Livermore National Security, LLC.
# Produced at the Lawrence Livermore National Laboratory.
# This file is part of HYPRE. See file COPYRIGHT for details.
#
# HYPRE is free software; you can redistri... | jbakosi/HYPRE | src/test/TEST_struct/vdpfmgRedBlackGS.sh | Shell | lgpl-2.1 | 3,831 |
#!/bin/bash
export ENV_ROOTDIR="$(cd "$(dirname $(readlink -f "$0"))/.." && pwd -P)"
export NODE_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
. "${ENV_ROOTDIR}/config.source"
. "${NODE_DIR}/vmspec.conf"
. "${ENV_ROOTDIR}/ind-steps/step-box/common.source"
kill_vm
| axsh/openvnet | ci/ci.el7/integration_test/multibox/base/kill.sh | Shell | lgpl-3.0 | 273 |
#!/bin/bash
if [ "x$PYTHON" == "x" ]; then
PYTHON=python
if [ "`uname`" == "SunOS" ]; then
PYTHON=python2.6
fi
fi
if [ "x$MESOS_HOME" == "x" ]; then
MESOS_HOME="$(dirname $0)/../.."
fi
export PYTHONPATH=$MESOS_HOME/lib/python:$MESOS_HOME/third_party/protobuf-2.3.0/python:$PYTHONPATH
exec $PYTHON "$(dirna... | pwendell/mesos | frameworks/mpi/startmpd.sh | Shell | apache-2.0 | 343 |
#!/bin/bash
set -e
. /dgr/bin/functions.sh
isLevelEnabled "debug" && set -x
emerge -v glibc lighttpd
#TODO inherit cleanup of $ROOTFS/usr/share/{doc,man}
| puckel/dgr | examples/gentoo/aci-gentoo-lighttpd/runlevels/builder/10.install.sh | Shell | apache-2.0 | 156 |
#!/bin/bash
/hostsctl.sh insert
controller=`awk '/controller/ {print $1}' /tmp/hosts`
hostname=`hostname`
echo "$MYIPADDR $hostname" >> /tmp/hosts
echo "$MYIPADDR $hostname" >> /etc/hosts
# Cinder SETUP
CINDER_CONF=/etc/cinder/cinder.conf
sed -i "s/CINDER_DBPASS/$CINDER_DBPASS/g" $CINDER_CONF
sed -i "s/CINDER_PASS/... | mehulsbhatt/openstack-on-coreos | docker-files/kilo/cinder/entrypoint.sh | Shell | apache-2.0 | 786 |
#Aqueduct - Compliance Remediation Content
#Copyright (C) 2011,2012 Vincent C. Passaro (vincent.passaro@gmail.com)
#
#This program is free software; you can redistribute it and/or
#modify it under the terms of the GNU General Public License
#as published by the Free Software Foundation; either version 2
#of the Licens... | quark-pat/CLIP | packages/aqueduct/aqueduct/compliance/Bash/STIG/rhel-5-beta/prod/GEN002430.sh | Shell | apache-2.0 | 4,405 |
#!/bin/sh
OPENSSL=/usr/bin/openssl
if [ $# -ne 1 ] ; then
echo "usage: $0 <stem>"
exit 2
fi
stem=$1
$OPENSSL genrsa 1024 > $stem.key
$OPENSSL req -new -x509 -nodes -sha1 -days 365 -key $stem.key -out $stem.cert
cat $stem.cert $stem.key > $stem.pem
echo "Output is $stem.pem"
| OkCupid/okws | contrib/gen-ssl-cert.sh | Shell | gpl-2.0 | 293 |
#!/bin/sh
# Verify that tail works even when it's reading from a file
# that is not at its beginning. Based on a report from John Roll.
# Copyright (C) 2001-2014 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public Licens... | houwentaoff/coreutils | tests/tail-2/start-middle.sh | Shell | gpl-3.0 | 1,044 |
./pix.sh testdata/a.png testdata/b.png testdata/disp.pgm -90 30
./subpix.sh testdata/a.png testdata/b.png testdata/disp.pgm -90 30
| MISS3D/s2p | 3rdparty/stereo_hirschmuller_2002/test.sh | Shell | agpl-3.0 | 131 |
#!/bin/bash
set -e
# called when DISTRIB=="conda"
source activate $VIRTUALENV
conda remove -y py pytest || pip uninstall -y py pytest
if [[ "$COVERAGE" == "true" ]]; then
# Need to append the coverage to the existing .coverage generated by
# running the tests. Make sure to reuse the same coverage
# confi... | chrsrds/scikit-learn | build_tools/azure/test_pytest_soft_dependency.sh | Shell | bsd-3-clause | 624 |
#!/bin/sh
# Base16 Paraiso - Shell color setup script
# Jan T. Sott
if [ "${TERM%%-*}" = 'linux' ]; then
# This script doesn't support linux console (use 'vconsole' template instead)
return 2>/dev/null || exit 0
fi
color00="2f/1e/2e" # Base 00 - Black
color01="ef/61/55" # Base 08 - Red
color02="48/b6/85" # Ba... | jasonszhao/dotfiles | shell/base16-shell/base16-paraiso.light.sh | Shell | mit | 3,824 |
#!/bin/bash
# Works like mission-time.sh but execures in a loop
while [ true ]; do
./mission-time.sh $@
done
| ManuelBlanc/colobot | tools/mission-time-loop.sh | Shell | gpl-3.0 | 110 |
#!/bin/sh
# Package
PACKAGE="bicbucstriim"
DNAME="BicBucStriim"
# Others
INSTALL_DIR="/usr/local/${PACKAGE}"
WEB_DIR="/var/services/web"
preinst ()
{
exit 0
}
postinst ()
{
# Link
ln -s ${SYNOPKG_PKGDEST} ${INSTALL_DIR}
# Install the web interface
cp -R ${INSTALL_DIR}/share/bbs ${WEB_DIR}
... | hadess/spksrc | spk/bicbucstriim/src/installer.sh | Shell | bsd-3-clause | 613 |
#! /bin/sh
# This script is run once when your box boots for the first time.
# It installs the things from /hdd/backup/autoinstall
# or from wherever the settings were restored
BACKUPDIR=/media/hdd
INSTALLED=/etc/installed
MACADDR=`cat /sys/class/net/eth0/address | cut -b 1,2,4,5,7,8,10,11,13,14,16,17`
if [ -f /tmp/b... | punitvara/openpli-oe-core | meta-openpli/recipes-openpli/enigma2/settings-autorestore/autoinstall.sh | Shell | gpl-2.0 | 1,514 |
#!/usr/bin/env bash
# Copyright 2018 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applica... | quinton-hoole/kubernetes | hack/verify-test-featuregates.sh | Shell | apache-2.0 | 1,924 |
#!/bin/bash
# Copyright 2014 The Chromium Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
# Reproduces the content of 'components' and 'components-chromium' using the
# list of dependencies from 'bower.json'. Downloads needed packages... | nwjs/chromium.src | third_party/polymer/v1_0/reproduce.sh | Shell | bsd-3-clause | 3,857 |
#!/bin/bash
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements. See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you... | minggLu/bigtop | bigtop-deploy/vm/utils/setup-env-centos.sh | Shell | apache-2.0 | 1,723 |
#!/bin/sh
# Called from top-level directory a-la
#
# scripts/generate_BUFSIZ.sh include/common_bufsiz.h
. ./.config || exit 1
debug=false
#debug=true
postcompile=false
test x"$1" = x"--post" && { postcompile=true; shift; }
common_bufsiz_h=$1
test x"$NM" = x"" && NM="${CONFIG_CROSS_COMPILER_PREFIX}nm"
test x"$CC" =... | josefbacik/busybox | scripts/generate_BUFSIZ.sh | Shell | gpl-2.0 | 5,730 |
#!/usr/bin/env bash
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements. See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "Lice... | actuaryzhang/spark | dev/test-dependencies.sh | Shell | apache-2.0 | 3,786 |
#!/bin/sh
test_description='git cat-file'
. ./test-lib.sh
echo_without_newline () {
printf '%s' "$*"
}
strlen () {
echo_without_newline "$1" | wc -c | sed -e 's/^ *//'
}
maybe_remove_timestamp () {
if test -z "$2"; then
echo_without_newline "$1"
else
echo_without_newline "$(printf '%s\n' "... | Devindik/origin | t/t1006-cat-file.sh | Shell | gpl-2.0 | 6,219 |
#!/bin/bash
# SPDX-License-Identifier: GPL-2.0
# This test is for checking IPv4 and IPv6 FIB behavior in response to
# different events.
ret=0
# Kselftest framework requirement - SKIP code is 4.
ksft_skip=4
# all tests in this script. Can be overridden with -t option
TESTS="unregister down carrier nexthop suppress i... | rperier/linux-rockchip | tools/testing/selftests/net/fib_tests.sh | Shell | gpl-2.0 | 53,165 |
#!/bin/sh
# The command-line arguments can be used to list the benchmarks to be executed.
# By default all benchmarks are executed.
# Example: run.sh org.sonar.microbenchmark.SerializationBenchmark
mvn clean install
java -jar target/microbenchmark.jar $*
| ayondeep/sonarqube | microbenchmark-template/run.sh | Shell | lgpl-3.0 | 258 |
#!/bin/sh
test_description='sparse checkout scope tests'
GIT_TEST_DEFAULT_INITIAL_BRANCH_NAME=main
export GIT_TEST_DEFAULT_INITIAL_BRANCH_NAME
. ./test-lib.sh
test_expect_success 'setup' '
echo "initial" >a &&
echo "initial" >b &&
echo "initial" >c &&
git add a b c &&
git commit -m "initial commit"
'
test_exp... | Osse/git | t/t1090-sparse-checkout-scope.sh | Shell | gpl-2.0 | 2,230 |
#!/usr/bin/env bash
#
# This library holds functions for configuring and starting an OpenShift server
# os::start::configure_server will create and write OS master certificates, node configurations, and OpenShift configurations.
# It is recommended to run the following environment setup functions before configuring th... | coreydaley/origin | hack/lib/start.sh | Shell | apache-2.0 | 21,138 |
#!/bin/sh
#
# Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free So... | stain/jdk8u | test/sun/security/mscapi/SignUsingSHA2withRSA.sh | Shell | gpl-2.0 | 2,317 |
#!/usr/bin/env bash
# Copyright 2018 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applica... | mkumatag/origin | vendor/k8s.io/kubernetes/cluster/gce/upgrade-aliases.sh | Shell | apache-2.0 | 6,147 |
#!/bin/bash
BIN_DIR=/usr/bin
# Distribution-specific logic
if [[ -f /etc/debian_version ]]; then
# Debian/Ubuntu logic
if [[ "$(readlink /proc/1/exe)" == */systemd ]]; then
deb-systemd-invoke stop telegraf.service
else
# Assuming sysv
invoke-rc.d telegraf stop
fi
fi
| relvacode/telegraf | scripts/pre-remove.sh | Shell | mit | 309 |
#!/usr/bin/env bash
set -ex -o pipefail
echo 'travis_fold:start:TEST'
# Setup environment
cd `dirname $0`
source ./env.sh
cd ../..
./scripts/ci-lite/test_js.sh
./scripts/ci-lite/test_e2e.sh
./scripts/ci-lite/test_saucelabs.sh
./scripts/ci-lite/test_browserstack.sh
echo 'travis_fold:end:test-browser'
echo 'travis_... | e-hein/angular | scripts/ci-lite/test.sh | Shell | mit | 335 |
#!/usr/bin/env bash
#set -x
ulimit -n 1024
### Setup some variables.
### JOB_NAME, SVN_REVISION, and BUILD_NUMBER are set by Hudson if it is run by patch process
###############################################################################
parseArgs() {
case "$1" in
HUDSON)
### Set HUDSON to true to ... | pombredanne/brisk-hadoop-common | src/test/bin/test-patch.sh | Shell | apache-2.0 | 28,875 |
#!/bin/bash -eux
# Add pkgadd auto-answer file
echo "mail=" > /tmp/nocheck
echo "instance=overwrite" >> /tmp/nocheck
echo "partial=nocheck" >> /tmp/nocheck
echo "runlevel=nocheck" >> /tmp/nocheck
echo "idepend=nocheck" >> /tmp/nocheck
echo "rdepend=nocheck" >> /tmp/nocheck
echo "space=nocheck" >> /tmp/nocheck
echo "se... | sillvan/bento | scripts/solaris10/vmtools.sh | Shell | apache-2.0 | 1,340 |
#!/bin/bash
# Copyright 2014 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law ... | sg00dwin/origin | vendor/k8s.io/kubernetes/hack/make-rules/test.sh | Shell | apache-2.0 | 15,430 |
#!/bin/bash
# PEST
# Praktisches Evaluations ScripT
# (Practical Evaluation ScripT)
#
# Component: TIFF2TIF
#
# For the ease of coding PEST it requires all input image files to use
# the tif ending (instead of tiff)
# Call this script to correct it for you
echo -n "Please enter the path to the working directory that... | breunigs/gnt-eval | pest/tiff2tif.sh | Shell | isc | 554 |
#!/bin/sh
# mkpasswd is a tool in the whois package of Debian and Ubuntu
myname=`basename $0`
mkpasswd=`which mkpasswd`
if [ "$?" -ne "0" ]; then
echo "$myname: mkpasswd(1) not found" 1>&2;
exit 2;
fi
mkpasswd -m sha-512
| timkuijsten/node-sshapw | sha512crypt.sh | Shell | isc | 230 |
#!/bin/sh
# starts GoDiS deLux startit agent
OAAJP=${OAA_HOME}/lib/jar
CP=${OAAJP}/antlr-oaa.jar:${OAAJP}/concurrent-1.3.1.jar:${OAAJP}/log4j-1.2.7.jar:${OAAJP}/oaa2.jar:${OAA_HOME}/runtime/startit/jar/oaa2startit.jar:${OAA_HOME}/runtime/monitor/jar/oaa2monitor.jar
java -cp ${CP} -DTRINDIKIT=../trindikit4 -DGODIS=..... | TeamSPoon/logicmoo_workspace | packs_sys/logicmoo_nlu/ext/SIRIDUS/TALK_unimodal_grammar_lib/djgodis/run.sh | Shell | mit | 451 |
#!/bin/bash
# Installs serverscope dependencies
# process command line switches
_update=no
_virtualenv=no
_cleanup=no
_email=
_plan=
_included_benchmarks=all
while getopts "uvce:p:i:" opt; do
case $opt in
u) _update=yes;;
v) _virtualenv=yes;;
c) _cleanup=yes;;
e) _email=$OPTARG;;
... | selectnull/serverscope-benchmark | install-serverscope.sh | Shell | mit | 4,113 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for DSA-2947-1
#
# Security announcement date: 2014-06-04 00:00:00 UTC
# Script generation date: 2017-01-19 21:12:28 UTC
#
# Operating System: Debian 7 (Wheezy)
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - libav:6:0.8.12-1
#
# Last versions ... | Cyberwatch/cbw-security-fixes | Debian_7_(Wheezy)/x86_64/2014/DSA-2947-1.sh | Shell | mit | 610 |
#!/bin/bash
ssh -v $DO_USERNAME@$DO_HOSTNAME << EOF
echo '1. Updating sources'
cd $DO_MUZE_PATH
git pull
echo "2. Restart PM2 Node process"
npm install
npm run deploy
pm2 restart $DO_PROCESS
echo $DO_PROCESS
echo 'Done!'
EOF
| BlueAccords/muze | deploy_prod.sh | Shell | mit | 231 |
#!/usr/bin/env bash
# for setting some preferences for git
email="sam.vanovermeire@xt-i.com"
name="Sam"
echo "Setting git to personal preferences..."
git config --global user.email "${email}"
git config --global user.name "${name}"
git config --global color.ui auto
git config --global branch.autosetupmerge true
git c... | VanOvermeire/linuxscripts | bash/other/git_setup.sh | Shell | mit | 515 |
#!/bin/bash -x
#
# Generated - do not edit!
#
# Macros
TOP=`pwd`
CND_CONF=default
CND_DISTDIR=dist
TMPDIR=build/${CND_CONF}/${IMAGE_TYPE}/tmp-packaging
TMPDIRNAME=tmp-packaging
OUTPUT_PATH=dist/${CND_CONF}/${IMAGE_TYPE}/PICUART.X.${IMAGE_TYPE}.${OUTPUT_SUFFIX}
OUTPUT_BASENAME=PICUART.X.${IMAGE_TYPE}.${OUTPUT_SUFFIX}
... | MatthewWCook/PICSTART | PICUART/PICUART.X/nbproject/Package-default.bash | Shell | mit | 1,369 |
nohup node ImageServer.js > photoindex.out 2> photoindex.err < /dev/null &
| tanandre/photoindex | run.sh | Shell | mit | 76 |
#!/bin/sh
python -m unittest pycoin.test.__init__
python -m unittest pycoin.test.build_tx_test
python -m unittest pycoin.test.ecdsa_test
python -m unittest pycoin.test.encoding_test
python -m unittest pycoin.test.key_translation_test
python -m unittest pycoin.test.parse_block_test
python -m unittest pycoin.test.signat... | greenaddress/pycoin | test-py2.7.sh | Shell | mit | 420 |
#!/usr/bin/env bash
set -uo pipefail;
####################################
# Ensure we can execute standalone #
####################################
function early_death() {
echo "[FATAL] ${0}: ${1}" >&2;
exit 1;
};
if [ -z "${TFENV_ROOT:-""}" ]; then
# http://stackoverflow.com/questions/1055671/how-can-i-get... | iamhsa/tfenv | test/test_install_and_use.sh | Shell | mit | 7,032 |
#!/usr/bin/env bash
set -eux -o pipefail
cd $(dirname ${BASH_SOURCE:-$0})/..
python3 --version >&2
python3 setup.py test
pycodestyle *.py
pydocstyle *.py
pyflakes *.py
rst2html5.py README.rst README.html
| fjkz/inline_table | jig/precommit.sh | Shell | mit | 207 |
#!/bin/sh
. $testdir/testenv.sh
echo "";echo Succeed: correct password, expired, change.
$kadmin -q 'cpw -pw foo '$test_principal 2> /dev/null > /dev/null
$kadmin -q 'modprinc -pwexpire now '$test_principal 2> /dev/null > /dev/null
test_settle
test_run -auth -account -setcred -session $test_principal $pam_krb5 $test_... | aadamowski/pam_krb5-krbldap | tests/020-pamchpw-prompt-success/run.sh | Shell | mit | 353 |
#!/bin/bash
DB_HOST=localhost
DB_PORT=3306
DB_NAME=amdb
DB_USERNAME=amuser
DB_PASSWORD=AmUs3r0354
# Check for OS X
check=`uname -a | awk '{print $1}'`
if [ $check = 'Darwin' ]; then
mysql=/Applications/XAMPP/xamppfiles/bin/mysql
web="open -a Safari http://localhost/assessment-manager/src/php/"
else
mysql... | thn-w/assessment-manager | src/db/mysql/amdb/access.sh | Shell | mit | 1,506 |
#!/bin/bash
export PWD=`pwd`
export EXECNAME="route7"
export TIME=`date +%Y%m%d%H%M%S`
export GOPATH=`pwd`
go build -o $PWD/bin/$EXECNAME-$TIME
ln -nfs $PWD/bin/$EXECNAME-$TIME $PWD/bin/$EXECNAME | azhao1981/route7 | build.sh | Shell | mit | 196 |
#!/bin/bash
set -e
scripts_dir=$(dirname "$0")
$scripts_dir/download-test-data.sh default.7z unexpected_end_of_demo.7z regression-set.7z
go test -tags unassert_panic ./...
| markus-wa/demoinfocs-golang | scripts/regression-tests.sh | Shell | mit | 175 |
#!/bin/sh
# Copyright (c) 2014-2016 TurboCoin
# Distributed under the MIT software license, see the accompanying
# file COPYING or http://www.opensource.org/licenses/mit-license.php.
export LC_ALL=C
INPUT=$(cat /dev/stdin)
VALID=false
REVSIG=false
IFS='
'
if [ "$BITCOIN_VERIFY_COMMITS_ALLOW_SHA1" = 1 ]; then
GPG_RES=... | Phonemetra/TurboCoin | contrib/verify-commits/gpg.sh | Shell | mit | 2,438 |
#!/bin/bash
if [ "${BASH_ARGC}" != "1" ]
then
virtualenv_dir="__"
else
virtualenv_dir="${BASH_ARGV[0]}"
fi
echo "virtualenv_dir: ${virtualenv_dir}"
if [ ! -d ${virtualenv_dir} ]
then
echo "no ${virtualenv_dir}. will create one"
the_python=`which python3`
if [ "${the_python}" == "" ]
then
the_python... | chhsiao1981/backend_template | scripts/init_dev3.sh | Shell | mit | 829 |
#!/usr/bin/env bash
port=8545
# Import common variables.
. scripts/common.sh
# Executes cleanup function at script exit.
trap cleanup EXIT
if testrpc_running $port; then
echo "Using existing testrpc instance"
else
echo "Starting our own testrpc instance"
eval testrpc "$accounts" -u 0 -u 1 > /dev/null &
tes... | kinfoundation/kin-token | scripts/console.sh | Shell | mit | 352 |
#!/bin/sh
__koopa_git_has_unstaged_changes() { # {{{1
# """
# Are there unstaged changes in current git repo?
# @note Updated 2021-05-25.
#
# Don't use '--quiet' flag here, as it can cause shell to exit if 'set -e'
# mode is enabled.
#
# @seealso
# - https://stackoverflow.com/questi... | steinbaugh/seqcloud | lang/shell/posix/functions/boolean-logical.sh | Shell | mit | 14,188 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.